"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findMinInArray = void 0;
var findMinIndex_1 = require("./findMinIndex");
/**
 * Находит элемент массива, имеющий наименьшую метрику
 * @param array - массив для поиска
 * @param metric - функция, рассчитывающая метрику
 * @returns element - элемент массива, имеющий наименьшую метрику или undefined, если массив пустой
 */
function findMinInArray(array, metric) {
    var index = findMinIndex_1.findMinIndex(array, metric);
    return index >= 0 ? array[index] : undefined;
}
exports.findMinInArray = findMinInArray;
//# sourceMappingURL=findMinInArray.js.map