/**
 * Возвращает новый объект, равный переданному без undefined-значений
 * @param obj - объект
 */
export function cleanObject(obj) {
    var result = {};
    for (var _i = 0, _a = Object.keys(obj); _i < _a.length; _i++) {
        var key = _a[_i];
        if (obj[key] !== undefined) {
            result[key] = obj[key];
        }
    }
    return result;
}
//# sourceMappingURL=cleanObject.js.map