export function tryParseJson(json, defaultValue, log) {
    if (defaultValue === void 0) { defaultValue = null; }
    try {
        if (!json)
            return defaultValue;
        return JSON.parse(json);
    }
    catch (e) {
        log === null || log === void 0 ? void 0 : log('Error parsing json', e, json);
        return defaultValue;
    }
}
//# sourceMappingURL=tryParseJson.js.map