import { Unit } from './formatNumber';
export declare type Decimals<Value> = number | ((value: Value) => number);
export declare type Index<Value> = {
    decimals: Decimals<Value>;
};
export declare function getIndexDecimals<Value extends any = any>(index: Index<Value>, value: Value): number;
export declare function formatIndexValue(value: number, index: Index<number>): string;
export declare function formatIndexValueUnit(value: number, index: Index<number> & {
    unit: Unit;
}): string;
