"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRandomInteger = void 0;
/**
 * Возвращает случайное целое число между ceil(min) и floor(max), не включая max
 * @param min {number}
 * @param max {number}
 * @returns {number}
 */
function getRandomInteger(min, max) {
    if (min === void 0) { min = 0; }
    if (max === void 0) { max = 100; }
    min = Math.ceil(min);
    max = Math.floor(max);
    return Math.floor(Math.random() * (max - min) + min);
}
exports.getRandomInteger = getRandomInteger;
//# sourceMappingURL=random.js.map