/**
 * Находит элемент массива, имеющий наименьшую метрику
 * @param array - массив для поиска
 * @param metric - функция, рассчитывающая метрику
 * @returns element - элемент массива, имеющий наименьшую метрику или undefined, если массив пустой
 */
export declare function findMinInArray<T>(array: T[], metric: (item: T, idx: number) => number): T | undefined;
