"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.delayPromise = void 0;
/**
 * Создает промис, который зарезолвится через заданное время
 * @param time - время в миллисекундах
 */
function delayPromise(time) {
    if (time === void 0) { time = 0; }
    return new Promise(function (resolve) {
        setTimeout(resolve, time);
    });
}
exports.delayPromise = delayPromise;
//# sourceMappingURL=delayPromise.js.map