/**
 * Находит элемент массива, имеющий наименьшую метрику
 * @param array - массив для поиска
 * @param metric - функция, рассчитывающая метрику
 * @returns index - индекс найденного элемента или -1, если массив пустой
 */
export declare function findMinIndex<T>(array: T[], metric: (item: T, idx: number) => number): number;
