/**
 * Создает промис, который зарезолвится через заданное время
 * @param time - время в миллисекундах
 */
export function delayPromise(time) {
    if (time === void 0) { time = 0; }
    return new Promise(function (resolve) {
        setTimeout(resolve, time);
    });
}
//# sourceMappingURL=delayPromise.js.map