/**
 * Оборачивает асинхронную функцию и следит за тем, чтобы она одновременно выполнялась только один раз
 */
export declare function singleton<Args extends any[], Result>(func: (...args: Args) => Promise<Result>): {
    (...args: Args): Promise<Result>;
    promise?: Promise<Result> | undefined;
};
