import { formatNumber, formatValueUnit } from './formatNumber';
export function getIndexDecimals(index, value) {
    if (typeof index.decimals === 'function') {
        return index.decimals(value);
    }
    return index.decimals;
}
export function formatIndexValue(value, index) {
    return formatNumber(value, getIndexDecimals(index, value));
}
export function formatIndexValueUnit(value, index) {
    return formatValueUnit(value, index.unit, getIndexDecimals(index, value));
}
//# sourceMappingURL=indexes.js.map