import { __spreadArrays } from "tslib";
/**
 * Вставляет массив в середину другого массива
 * @param data - новые данные
 * @param oldData - старый массив
 * @param page - номер страницы
 * @param perPage - количество элементов на странице
 */
export function insertPaginatedSlice(data, oldData, page, perPage) {
    if (perPage === void 0) { perPage = data.length; }
    return __spreadArrays(((oldData === null || oldData === void 0 ? void 0 : oldData.slice(0, page * perPage)) || []), data, ((oldData === null || oldData === void 0 ? void 0 : oldData.slice((page + 1) * perPage)) || []));
}
//# sourceMappingURL=insertPaginatedSlice.js.map