/**
 * Создает конструктор опций для селекта
 * @param labelFn - функция получения названия
 * @param valueFn - функция получения значения
 */
export function makeOptionator(labelFn, valueFn) {
    return function (value) { return ({
        value: valueFn ? valueFn(value) : value,
        label: labelFn(value)
    }); };
}
//# sourceMappingURL=makeOptionator.js.map