"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatIndexValueUnit = exports.formatIndexValue = exports.getIndexDecimals = void 0;
var formatNumber_1 = require("./formatNumber");
function getIndexDecimals(index, value) {
    if (typeof index.decimals === 'function') {
        return index.decimals(value);
    }
    return index.decimals;
}
exports.getIndexDecimals = getIndexDecimals;
function formatIndexValue(value, index) {
    return formatNumber_1.formatNumber(value, getIndexDecimals(index, value));
}
exports.formatIndexValue = formatIndexValue;
function formatIndexValueUnit(value, index) {
    return formatNumber_1.formatValueUnit(value, index.unit, getIndexDecimals(index, value));
}
exports.formatIndexValueUnit = formatIndexValueUnit;
//# sourceMappingURL=indexes.js.map