export declare type Truthy<T> = T extends false | '' | 0 | null | undefined ? never : T;
export declare function isTruthy<T>(value: T): value is Truthy<T>;
export declare function cleanArray<T>(array: T[]): Truthy<T>[];
