"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cleanObject = void 0;
/**
 * Возвращает новый объект, равный переданному без undefined-значений
 * @param obj - объект
 */
function cleanObject(obj) {
    var result = {};
    for (var _i = 0, _a = Object.keys(obj); _i < _a.length; _i++) {
        var key = _a[_i];
        if (obj[key] !== undefined) {
            result[key] = obj[key];
        }
    }
    return result;
}
exports.cleanObject = cleanObject;
//# sourceMappingURL=cleanObject.js.map