"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.insertPaginatedSlice = void 0;
var tslib_1 = require("tslib");
/**
 * Вставляет массив в середину другого массива
 * @param data - новые данные
 * @param oldData - старый массив
 * @param page - номер страницы
 * @param perPage - количество элементов на странице
 */
function insertPaginatedSlice(data, oldData, page, perPage) {
    if (perPage === void 0) { perPage = data.length; }
    return tslib_1.__spreadArrays(((oldData === null || oldData === void 0 ? void 0 : oldData.slice(0, page * perPage)) || []), data, ((oldData === null || oldData === void 0 ? void 0 : oldData.slice((page + 1) * perPage)) || []));
}
exports.insertPaginatedSlice = insertPaginatedSlice;
//# sourceMappingURL=insertPaginatedSlice.js.map