/**
 * Создает конструктор опций для селекта
 * @param labelFn - функция получения названия
 * @param valueFn - функция получения значения
 */
export declare function makeOptionator<Value, RLabel, RValue = Value>(labelFn: (value: Value) => RLabel, valueFn?: (value: Value) => RValue): (value: Value) => {
    value: Value | RValue;
    label: RLabel;
};
